import { Module } from '@nestjs/common';
import { APP_INTERCEPTOR } from '@nestjs/core';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UsersInterceptor } from './interceptors/users.interceptor';
import { User } from './models/user.model';
import { UsersResolver } from './users.resolver';
import { UsersService } from './users.service';

@Module({
  imports: [TypeOrmModule.forFeature([User])],
  providers: [
    UsersResolver,
    UsersService,
    {
      provide: APP_INTERCEPTOR,
      useClass: UsersInterceptor,
    },
  ],
  exports: [UsersService],
})
export class UsersModule {}
